@if (selectedAsset$ | async; as selectedAsset) {
  <ng-container class="cs-page-container eui-u-pb-none">
    <div class="cs-page-container eui-u-pb-none">
      <app-breadcrumb [config]="[
      {id: '1', label: 'Home', link: 'home'},
      {id: '2', label: 'Semantic Repository', link: 'search'},
      {id: '3', label: selectedAsset?.title, link: ''},
    ]"></app-breadcrumb>
      <app-language-selector
        [locales]="selectedAsset?.locales"
        (languageChanged)="onLanguageChanged($event)"
      ></app-language-selector>
      <div>
        <div
          class="eui-u-f-2xl-bold cs-list-heading-light-header eui-u-mt-m">
          <div class="eui-u-display-flex eui-u-flex-justify-content-between">
            <div class=" eui-u-display-flex eui-u-flex-align-items-center eui-u-flex-justify-content-start">
              {{ activeLanguage.code === 'en' ? selectedAsset?.title : selectedAsset?.locales | localeLanguage:'title' : this.activeLanguage.code }}
              @if (selectedAsset?.version) {
                <eui-chip
                  class="eui-u-ml-s {{ selectedAsset.isCurrentVersion ? 'sr-chip-grey-90' : 'sr-chip-outline-grey-90'}}">
                  <span euiLabel>{{ selectedAsset?.version }}</span>
                </eui-chip>
              }
              @if (selectedAsset?.status) {
                <eui-chip
                  class="eui-u-ml-s"
                  [isFilled]="true"
                  [euiSuccess]="selectedAsset?.status === StatusEnum.PUBLISHED"
                  [euiWarning]="selectedAsset?.status === StatusEnum.WITHDRAWN"
                  [euiOutline]="selectedAsset?.status === StatusEnum.WITHDRAWN">
                  <span euiLabel>{{ selectedAsset?.status }}</span>
                </eui-chip>
              }
            </div>
            <div>
              <button (click)="onDownloadButtonClick()" class="eui-u-ml-s" euiButton euiBranding>
                <eui-icon-svg
                  class="eui-u-mr-2xs"
                  icon="download"
                  set="outline"
                  size="s"
                  fillColor="grey-100"></eui-icon-svg>
                {{ 'app.features.asset.details.download.buttonLabel' | translate }}
              </button>
            </div>
          </div>
        </div>
        <div
          class="cs-list-heading-light-description eui-u-mt-l sr-font-size-large">{{ activeLanguage.code === 'en' ? selectedAsset?.description : selectedAsset?.locales  | localeLanguage:'description' : this.activeLanguage.code }}
        </div>
        <div class="ecl-u-pv-l">
          <span class="sr-font-bold">{{ 'app.features.asset.details.assetUri' | translate }}</span>
          <span
            class="sr-uri eui-u-ml-2xs eui-u-p-2xs eui-u-inline-flex eui-u-flex-row eui-u-flex-align-items-center">
            <span>{{ selectedAsset?.identifier }}</span>
            <button
              (click)="copyTextToClipboard(selectedAsset?.identifier)"
              class="eui-u-ml-s eui-u-mv-none"
              euiButton
              [euiSizeS]="true"
              euiBranding>
              <eui-icon-svg icon="copy" set="outline" size="m" fillColor="white"></eui-icon-svg>
              <span euiLabel>{{ 'app.features.asset.details.copyLink' | translate }}</span>
            </button>
          </span>
        </div>
        <div class="eui-u-pt-s">
          <span
            class="eui-u-f-bold eui-u-mr-2xs">{{ 'app.features.asset.details.assetInfo.type' | translate }}</span>{{ selectedAsset?.type }}
          <span class="eui-u-mh-xs">|</span>
          <span
            class="eui-u-f-bold eui-u-mr-2xs">{{ 'app.features.asset.details.assetInfo.repository' | translate }}</span>{{ selectedAsset?.catalog?.title }}
        </div>
        <!--SECOND ROW-->
        <div>
          <span
            class="eui-u-f-bold eui-u-mr-2xs">{{ 'app.features.asset.details.assetInfo.publisher' | translate }}</span>{{ selectedAsset?.publisher?.name }}
          @if (selectedAsset?.creator) {
            <span class="eui-u-ml-2xs eui-u-mr-xs">|</span>
            <span
              class="eui-u-f-bold eui-u-mr-2xs">{{ 'app.features.asset.details.assetInfo.creator' | translate }}</span>{{ selectedAsset?.creator?.name }}
          }
        </div>
        <!--THIRD ROW-->
        @if (selectedAsset?.themes?.length) {
          <div>
            <span class="eui-u-f-bold eui-u-mr-2xs">
              {{ (selectedAsset.themes.length > 1 ? 'app.features.asset.details.assetInfo.themes' : 'app.features.asset.details.assetInfo.theme') | translate }}
            </span>
            @for (theme of selectedAsset.themes; track theme; let i = $index) {
              <span>
                {{ theme }}@if (i + 1 < selectedAsset.themes.length) {
                <span>, </span>
              }
            </span>
            }
          </div>
        }
        <!--FORTH ROW-->
        @if (selectedAsset.referenceFrameworks.length) {
          <div>
          <span class="eui-u-f-bold eui-u-mr-2xs">
            {{ 'app.features.asset.details.assetInfo.referenceFrameworks' | translate }}
          </span>
            @for (framework of selectedAsset?.referenceFrameworks; track framework; let i = $index) {
              <span>  <span (click)="openExternalLink(framework)"
                            class="eui-u-text-link eui-u-cursor-pointer">{{ framework }}</span>
                @if (i + 1 < selectedAsset.referenceFrameworks.length) {
                  <span>, </span>
                }
          </span>
            }
          </div>
        }
      </div>
      @if (selectedAsset.assetTypeCode === 'TECHNICAL_SPECIFICATION' || selectedAsset.assetTypeCode === 'SEMANTIC_DATA_SPECIFICATION') {
        <div class="ecl-u-mt-2xl">
          <eui-alert
            euiInfo>{{ 'app.features.asset.details.associationLink.' + selectedAsset.assetTypeCode + '.description' | translate }}
            <span class="eui-u-cursor-pointer eui-u-text-link"
                  (click)="onFindAssetsClicked(selectedAsset, RedirectionDataEnum.CONFORMANT_ASSETS)">{{ 'app.features.asset.details.associationLink.' + selectedAsset.assetTypeCode + '.linkLabel' | translate }}</span>
          </eui-alert>
        </div>
      }
    </div>
    <div class="cs-list-light-wrapper">
      <eui-page-content>
        @if ((versions$ | async); as versions) {
          <div>
            @if (versions?.length) {
              <app-versions-table
                [versionData]="versions"
                (showVersionButtonClicked)="onShowVersionButtonClicked($event, selectedAsset?.identifier)"
              />
            }
          </div>
        }
        <div>
          <app-assets-distributions-table
            [distributionsData]="selectedAsset?.distributions"
            (distributionDownloadButtonClicked)="onDistributionDownloadButtonClicked($event)"
          />
        </div>
        <div class="eui-u-pt-2xl">
          @if (selectedAsset?.transactions?.length) {
            <app-transactions-table
              [transactionsData]="selectedAsset?.transactions"
              (findAssetsClicked)="onFindAssetsClicked($event, RedirectionDataEnum.TRANSACTION_LINKED_ASSETS)"
            />
          }
        </div>
        <div class="eui-u-pt-2xl">
          @if (selectedAsset?.associationsData?.length) {
            <app-associations-table
              [associationsData]="selectedAsset?.associationsData"
              (associationSelected)="onSelectAssociation($event)"
              (findAssetsClicked)="onFindAssetsClicked($event, RedirectionDataEnum.ASSOCIATION_LINKED_ASSETS)"
            />
          }
        </div>
      </eui-page-content>
    </div>
    <app-download-popup
      #popup
      sessionKey="assetDetailsDontShowAgain"
      [translations]="popupTranslations"
      (downloadClicked)="onDownloadAssetXml(selectedAsset?.identifier, selectedAsset?.title, selectedAsset.version)">
    </app-download-popup>
  </ng-container>
}